Erroneously report non-existing globally installed package

What I Wanted to Do

What Happened Instead

npm install erroneously report non-existing globally installed package:

info sharp Detected globally-installed libvips v8.7.4

npm list | grep libvips show that it is not there.

Reproduction Steps

Details

Platform Info

$ npm --versions
6.9.2
$ node -p process.platform
linux

Is that message from from npm, or from sharp?

http://sharp.pixelplumbing.com/en/v0.17.2/install/

I am not sure, actually That’s the line that I see from the bash shell executing npm install

apt remove libvips42 solve the problem.

1 Like